(function (define) {
	define(['jquery'], function ($) {
		return (function () {
			var Utils = {
				isEmpty: isEmpty,
				isNotEmpty: isNotEmpty,
				matchingLink : matchingLink,
				version: '0.1'
			};
			return Utils;
			function isEmpty(v) {
				return v === null || v === undefined || $.trim(v).length == 0;
			}
			function isNotEmpty(v) {
				return !isEmpty(v);
			}
			function matchingLink(links, regExp){
				var result;
				$.each(links, function (index, link){
					if(isEmpty(link) || isEmpty(link.rel)){
						return;
					}
					if(regExp.test(link.rel)) 
						result = link;
				});
				return result;
			}
		})();
	});
}(typeof define === 'function' && define.amd ? define : function (deps, factory) {
	if (typeof module !== 'undefined' && module.exports) { //Node
		module.exports = factory(require('jquery'));
	} else {
		window.toastr = factory(window.jQuery);
	}
}));
